org.jboss.resteasy.plugins.server.servlet

## Class ConfigurationBootstrap

- java.lang.Object
- - org.jboss.resteasy.plugins.server.servlet.ConfigurationBootstrap

- All Implemented Interfaces:
    ResteasyConfiguration
  Direct Known Subclasses:
    ListenerBootstrap

      public abstract class ConfigurationBootstrap
      extends Object
      implements ResteasyConfiguration

  Create a deployment from String-based configuration data
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationBootstrap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResteasyDeployment` | `createDeployment()`
    `protected Map<String,String>` | `parseMap(String map)`
    `protected void` | `processJndiComponentResources(String jndiResources)`
    `protected void` | `processJndiResources(String jndiResources)`
    `protected void` | `processResources(String list)`
    `protected void` | `processScannedJndiComponentResources(String jndiResources)`
    `protected void` | `processUnwrapped(String list)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.spi.ResteasyConfiguration

      `getInitParameter, getInitParameterNames, getParameter, getParameterNames`

- - ### Constructor Detail

    - #### ConfigurationBootstrap

          public ConfigurationBootstrap()

  - ### Method Detail

    - #### createDeployment

          public ResteasyDeployment createDeployment()

    - #### parseMap

          protected Map<String,String> parseMap(String map)

    - #### processJndiResources

          protected void processJndiResources(String jndiResources)

    - #### processJndiComponentResources

          protected void processJndiComponentResources(String jndiResources)

    - #### processScannedJndiComponentResources

          protected void processScannedJndiComponentResources(String jndiResources)

    - #### processResources

          protected void processResources(String list)

    - #### processUnwrapped

          protected void processUnwrapped(String list)

Copyright © 2014. All Rights Reserved.